Name:     click-radio
Version:  0.2.0
Release:  %mkrel 1

Summary:  Click Radio
URL:      http://www.liberainformatica.it/forum/forumdisplay.php?fid=25
Source:   %{name}-%{version}.tar.xz
License:  WTFP
Group:    Sound
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: make
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}mad-devel
Requires: yad  
Requires: mpg123
Requires: streamripper
Requires: xterm
Requires: cdrkit
Requires: normalize
Requires: pulseaudio
Requires: hicolor-icon-theme
Requires: ffmpeg
Requires: youtube-dl
Obsoletes: %{name} < %{version}

%description
A lightweight and simple gui interface media app.
Features include:
* Music radio streamer 
* Streamripper recorder 
* Plays local mp3's
* Creates a music playlist
* CD-ROM music player 
* CD-R music burner
* Youtube media downloader

%prep
%setup -q

%build

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

#menu
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-Multimedia-Sound;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR


%files 
%defattr(-,root,root)
%doc LICENCE README.md AUTHORS
%{_bindir}/*
%_datadir/%{name}
%_datadir/applications/*.desktop
%{_datadir}/icons/*.png
%{_datadir}/icons/hicolor/48x48/apps/*.svg

%changelog
* Wed Sep 06 2017 adrianomorselli <adrianomorselli> 0.2.0-1uplos2017
- imported for uplos
